QXmpp: QXmppEntityTimeManager Class Reference

QXmpp Version: 1.14.4

Loading...
Searching...
No Matches
QXmppEntityTimeManager Class Reference
Managers

The QXmppEntityTimeManager class provided the functionality to get the local time of an entity as defined by XEP-0202: Entity Time. More...

`#include <QXmppEntityTimeManager.h>`

Inheritance diagram for QXmppEntityTimeManager:

## Public Types
using | EntityTimeResult = std::variant<QXmppEntityTimeIq, QXmppError>

## Public Member Functions
QString | requestTime (const QString &jid)
QXmppTask< EntityTimeResult > | requestEntityTime (const QString &jid)
Q_SIGNAL void | timeReceived (const QXmppEntityTimeIq &)
| This signal is emitted when a time response is received. It's not emitted when the QFuture-based request is used.
Public Member Functions inherited from QXmppClientExtension
| QXmppClientExtension ()
virtual QStringList | discoveryFeatures () const
virtual QList< QXmppDiscoIdentity > | discoveryIdentities () const
virtual bool | handleStanza (const QDomElement &stanza)
| You need to implement this method to process incoming XMPP stanzas.
virtual bool | handleStanza (const QDomElement &stanza, const std::optional< QXmppE2eeMetadata > &e2eeMetadata)
| You need to implement this method to process incoming XMPP stanzas.
Public Member Functions inherited from QXmppLoggable
| QXmppLoggable (QObject *parent=nullptr)
Q_SIGNAL void | setGauge (const QString &gauge, double value)
| Sets the given gauge to value.
Q_SIGNAL void | logMessage (QXmppLogger::MessageType type, const QString &msg)
| This signal is emitted to send logging messages.
Q_SIGNAL void | updateCounter (const QString &counter, qint64 amount=1)
| Updates the given counter by amount.

## Additional Inherited Members
Protected Member Functions inherited from QXmppClientExtension
QXmppClient * | client () const
virtual void | setClient (QXmppClient *client)
virtual void | onRegistered (QXmppClient *client)
virtual void | onUnregistered (QXmppClient *client)
void | injectIq (const QDomElement &element, const std::optional< QXmppE2eeMetadata > &e2eeMetadata)
bool | injectMessage (QXmppMessage &&message)
Protected Member Functions inherited from QXmppLoggable
void | debug (const QString &message)
| Logs a debugging message.
void | info (const QString &message)
| Logs an informational message.
void | warning (const QString &message)
| Logs a warning message.
void | logReceived (const QString &message)
| Logs a received packet.
void | logSent (const QString &message)
| Logs a sent packet.

## Detailed Description

The QXmppEntityTimeManager class provided the functionality to get the local time of an entity as defined by XEP-0202: Entity Time.

## Member Typedef Documentation

## ◆ EntityTimeResult

using QXmppEntityTimeManager::EntityTimeResult = std::variant<QXmppEntityTimeIq, QXmppError>

Contains the requested entity time or the returned error in case of a failure.

Since
  QXmpp 1.5

## Member Function Documentation

## ◆ requestEntityTime()

auto QXmppEntityTimeManager::requestEntityTime | ( | const QString & | jid | ) |

Requests the time from an XMPP entity and reports it via a QFuture.

The timeReceived() signal is not emitted.

Since
  QXmpp 1.5

## ◆ requestTime()

QString QXmppEntityTimeManager::requestTime | ( | const QString & | jid | ) |

Request the time from an XMPP entity.

The result is emitted on the timeReceived() signal.

Parameters

  jid |

The documentation for this class was generated from the following files:

- QXmppEntityTimeManager.h
- QXmppEntityTimeManager.cpp